REM Set Printer IP ---------
SET PRINTERIP="192.168.1.100"
REM ------------------------

ECHO OFF
CLS
IF [%1] == [] GOTO :no_file

FOR /F tokens^=4^ delims^=^" %%a in ('C:\windows\System32\curl.exe -s -X ^"POST^" http://%PRINTERIP%:8080/api/v1/connect') DO (SET TOKEN=%%a)
IF "%TOKEN%"=="" GOTO :no_connection
REM ECHO Token is:  %TOKEN%
REM PAUSE

:check_status
CLS
ECHO Click YES on printer screen to continue...
TIMEOUT /T 1 > nul
C:\windows\System32\curl.exe -s -w "%%{http_code}" http://%PRINTERIP%:8080/api/v1/status?token=%TOKEN% | FIND "200"
IF ERRORLEVEL 1 GOTO :check_status
CLS
ECHO Connected. 

:upload_prompt
REM set /P c=Upload %1 [Y/N]?
REM if /I "%c%" EQU "Y" goto :upload
REM if /I "%c%" EQU "N" goto :quit
goto :upload

:upload
C:\windows\System32\curl.exe -s -X ^"POST^" -F file=@%1 http://%PRINTERIP%:8080/api/v1/upload?token=%TOKEN%
ECHO.
ECHO Start the print from the Touchscreen
ECHO.
PAUSE

:quit
EXIT

:no_file
CLS
ECHO No file found. Next time drag and drop .gcode file onto %0
ECHO.
PAUSE
EXIT

:no_connection
CLS
ECHO Unable to connect to the printer with IP address %PRINTERIP%
ECHO Please double check the printer is online.
ECHO.
PAUSE
EXIT